From 43764731bbebc642260dd93ca4c1e2eacf840459 Mon Sep 17 00:00:00 2001
From: eatradish <sakiiily@aosc.io>
Date: Tue, 14 Jan 2025 10:16:54 +0800
Subject: [PATCH 16/18] Drop "Upgrade core" button

---
 .../setting/mods/clash-core-viewer.tsx        | 25 +------------------
 src/services/api.ts                           |  6 -----
 2 files changed, 1 insertion(+), 30 deletions(-)

diff --git a/src/components/setting/mods/clash-core-viewer.tsx b/src/components/setting/mods/clash-core-viewer.tsx
index ac0ba8e0..b27c55ad 100644
--- a/src/components/setting/mods/clash-core-viewer.tsx
+++ b/src/components/setting/mods/clash-core-viewer.tsx
@@ -18,7 +18,7 @@ import {
   ListItemText,
 } from "@mui/material";
 import { changeClashCore, restartCore } from "@/services/cmds";
-import { closeAllConnections, upgradeCore } from "@/services/api";
+import { closeAllConnections } from "@/services/api";
 
 const VALID_CORE = [
   { name: "Mihomo", core: "mihomo", chip: "Release Version" },
@@ -65,18 +65,6 @@ export const ClashCoreViewer = forwardRef<DialogRef>((props, ref) => {
     }
   });
 
-  const onUpgrade = useLockFn(async () => {
-    try {
-      setUpgrading(true);
-      await upgradeCore();
-      setUpgrading(false);
-      Notice.success(t(`Core Version Updated`), 1000);
-    } catch (err: any) {
-      setUpgrading(false);
-      Notice.error(err?.response.data.message || err.toString());
-    }
-  });
-
   return (
     <BaseDialog
       open={open}
@@ -84,17 +72,6 @@ export const ClashCoreViewer = forwardRef<DialogRef>((props, ref) => {
         <Box display="flex" justifyContent="space-between">
           {t("Clash Core")}
           <Box>
-            <LoadingButton
-              variant="contained"
-              size="small"
-              startIcon={<SwitchAccessShortcutRounded />}
-              loadingPosition="start"
-              loading={upgrading}
-              sx={{ marginRight: "8px" }}
-              onClick={onUpgrade}
-            >
-              {t("Upgrade")}
-            </LoadingButton>
             <Button
               variant="contained"
               size="small"
diff --git a/src/services/api.ts b/src/services/api.ts
index 2eec99d9..15dd899d 100644
--- a/src/services/api.ts
+++ b/src/services/api.ts
@@ -55,12 +55,6 @@ export const updateGeoData = async () => {
   return instance.post("/configs/geo");
 };
 
-/// Upgrade clash core
-export const upgradeCore = async () => {
-  const instance = await getAxios();
-  return instance.post("/upgrade");
-};
-
 /// Get current rules
 export const getRules = async () => {
   const instance = await getAxios();
-- 
2.48.1

